(function() {
  describe("SQL grammar", function() {
    var grammar;
    grammar = null;
    beforeEach(function() {
      waitsForPromise(function() {
        return atom.packages.activatePackage("language-sql");
      });
      return runs(function() {
        return grammar = atom.grammars.grammarForScopeName("source.sql");
      });
    });
    return it("parses the grammar", function() {
      expect(grammar).toBeDefined();
      return expect(grammar.scopeName).toBe("source.sql");
    });
  });

}).call(this);
